import QtQuick 2.0
import "../images"

Item {
    width: 60
    height: 80

    signal clicked
    property var _solution
    property alias _image: solutionImage.source
    property alias imgSrc: image.source
    property alias number: text.text
    property alias pressed: mouseArea.pressed
    property alias showStars: row.visible
    property alias s1: s1im.source
    property alias s2: s2im.source
    property alias s3: s3im.source

    Column{
        spacing: 1

        Image {
            id: image
            source: "/images/images/buttonLevel.png"
            height: 60
            width: 60

            Text{
                id: text
                font.pointSize: 24
                anchors.centerIn: parent
                color: "#00ccff"
            }
        }
        Row{
            id: row
            visible: false;
            spacing: 1
            anchors.horizontalCenter: parent.horizontalCenter

            Image{
                id: s1im
                width: 15
                height: 15
                source: "/images/images/syringe.png"
            }
            Image{
                id: s2im
                width: 15
                height: 15
                source: "/images/images/syringe.png"
            }
            Image{
                id: s3im
                width: 15
                height: 15
                source: "/images/images/syringe.png"
            }
        }
    }
    Image{
        id: solutionImage
        visible: false
    }
    MouseArea {
        id: mouseArea
        anchors.fill: parent
        onClicked: {
            parent.clicked();
        }
    }
}
