import QtQuick 2.0
import "../images"

Item {

    property alias s1: s1im.source
    property alias s2: s2im.source
    property alias s3: s3im.source
    property alias result: resultText.text
    property alias index: levelIndex.text
    property int screenSize: 0

    Image{
        id: background
        source: "/images/images/windowResult.png"
        anchors.fill: parent
        Component.onCompleted: setSizes();

        Column{
            id: column
            anchors.horizontalCenter: parent.horizontalCenter
            Text{
                id: levelIndex
                color: "#00ccff"
                anchors.horizontalCenter: parent.horizontalCenter
                anchors.topMargin: 100
            }

            Row{
                id: row
                spacing: 5
                anchors.horizontalCenter: parent.horizontalCenter

                Image{
                    id: s1im
                    source: "/images/images/syringe.png"
                }
                Image{
                    id: s2im
                    source: "/images/images/syringe.png"
                }
                Image{
                    id: s3im
                    source: "/images/images/syringe.png"
                }
            }

            Text{
                id: resultText
                anchors.horizontalCenter: parent.horizontalCenter
                color: "#a6e8e8"
            }
        }
    }
    function setSizes(){
        s1im.width = screenSize/10;
        s2im.width = screenSize/10;
        s3im.width = screenSize/10;
        s2im.height = screenSize/10;
        s1im.height = screenSize/10;
        s3im.height = screenSize/10;
        column.spacing = screenSize/35;
        levelIndex.font.pointSize = screenSize/20;
        resultText.font.pointSize = screenSize/40;
    }
}
