#ifndef IMAGEHANLDER_H
#define IMAGEHANLDER_H

#include <QtCore>
#include <QWidget>

class QNetworkReply;
class EnginioClient;
class EnginioReply;

QT_USE_NAMESPACE

class ImageHandler : public QWidget
{
    Q_OBJECT

public:
    explicit ImageHandler(QWidget *parent = 0);
    QString openImage();
    void saveImage(QString id, QString name);

signals:
    void imageSaved();

private:
    EnginioClient *_client;
    QNetworkReply *_reply;
    QString _filePath;

private slots:
    void onReplyFinished(EnginioReply *enginioReply);
    void onDownloadFinished();
};

#endif // LOADER_H
