#include <QDir>
#include <QApplication>
#include <QQmlEngine>
#include <QQmlFileSelector>
#include <QQuickView>
#include <QtQml>
#include <QDebug>

#include "imageloader.h"



int main(int argc, char* argv[])
{   
    QApplication app(argc,argv);
    qmlRegisterType<ImageLoader>("ImageLoader", 1,0, "ImageLoader");
    app.setApplicationName("Master Surgeon");
    QQuickView view;

//    if(QSslSocket::supportsSsl()) qDebug("SSL OK");
//    else qDebug("SSL FAILIED");

    if (qgetenv("QT_QUICK_CORE_PROFILE").toInt()) {
        QSurfaceFormat f = view.format();
        f.setProfile(QSurfaceFormat::CoreProfile);
        f.setVersion(4, 4);
        view.setFormat(f);
    }
    view.connect(view.engine(), SIGNAL(quit()), &app, SLOT(quit()));
    new QQmlFileSelector(view.engine(), &view);
    view.setSource(QUrl("qrc:/masterSurgeon/loading.qml"));
    view.setResizeMode(QQuickView::SizeRootObjectToView);
    if (QApplication::platformName() == QLatin1String("qnx") ||
            QApplication::platformName() == QLatin1String("eglfs")) {
        view.showFullScreen();
    } else {
        view.show();
    }
    return app.exec();
}
