import QtQuick 2.0
import QtQuick.Window 2.2
import "../images"

Item {

    property alias s1: s1im.source
    property alias s2: s2im.source
    property alias s3: s3im.source
    property alias result: resultText.text
    property alias index: levelIndex.text

    Image{
        id: background
        source: "/images/images/windowResult.png"
        anchors.fill: parent

        Column{
            id: column
            spacing: Screen.height/20
            anchors.horizontalCenter: parent.horizontalCenter

            Text{
                id: levelIndex
                font.pointSize: Screen.height/15
                color: "#00ccff"
                anchors.horizontalCenter: parent.horizontalCenter
            }

            Row{
                id: row
                spacing: 5
                anchors.horizontalCenter: parent.horizontalCenter

                Image{
                    id: s1im
                    width: Screen.height/20
                    height: Screen.height/20
                    source: "/images/images/syringe.png"
                }
                Image{
                    id: s2im
                    width: Screen.height/20
                    height: Screen.height/20
                    source: "/images/images/syringe.png"
                }
                Image{
                    id: s3im
                    width: Screen.height/20
                    height: Screen.height/20
                    source: "/images/images/syringe.png"
                }
            }

            Text{
                id: resultText
                font.pointSize: Screen.height/30
                anchors.horizontalCenter: parent.horizontalCenter
                color: "#a6e8e8"
            }
        }
    }
}
