#include "ImageLoader.h"
#include "imagehandler.h"

#include <QObject>
#include <QDir>
#include <QFile>
#include <QFileDialog>

ImageLoader::ImageLoader(QObject *parent) :
    QObject(parent),
    imageHandler(new ImageHandler)
{
}

QString ImageLoader::localPath(QString path){
    return "file:///" + QStandardPaths::writableLocation(QStandardPaths::DataLocation) + "/" + path;
}

QString ImageLoader::openFile(){
    QString fileName = imageHandler->openImage();
    return fileName;
}
void ImageLoader::prepareImage(QString id, QString name){

    Image tempImage;
    tempImage._name = QStandardPaths::writableLocation(QStandardPaths::DataLocation) + "/" + name;
    tempImage._id = id;
    imageList.append(tempImage);
}

void ImageLoader::saveImages()
{
    foreach(Image image, imageList) {
        saveImage(5000, image);
    }
}
void ImageLoader::saveImage(int time, Image image){

    QEventLoop loop;
    QTimer timer;
    timer.setSingleShot(true);

    imageHandler->saveImage(image._id, image._name);

    connect(&timer, SIGNAL(timeout()), &loop, SLOT(quit()));
    connect(imageHandler, SIGNAL(imageSaved()), &loop, SLOT(quit()));
    timer.start(time);
    loop.exec();

    if(timer.isActive()) loop.quit();
    else saveImage(time + 1000, image);
    if(time > 10000 ) loop.quit();
}
