#ifndef IMAGELOADER_H
#define IMAGELOADER_H

#include <QObject>
#include <QDir>
#include <QDebug>
#include <QWidget>

class ImageHandler;

class ImageLoader : public QObject
{
    Q_OBJECT

    struct Image {
        QString _id;
        QString _name;
    };

public:
    ImageLoader(QObject *parent = 0);
    Q_INVOKABLE QString openFile();
    Q_INVOKABLE QString localPath(QString path);
    Q_INVOKABLE void prepareImage(QString id, QString name);
    Q_INVOKABLE void saveImages();

private:
    void saveImage(int time, Image image);
    ImageHandler *imageHandler;
    QList<Image> imageList;
};

#endif
